Get endscreen elements
curl --request GET \
--url https://api.video2ctx.dev/v1/providers/{provider}/videos/{id}/endscreen \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.video2ctx.dev/v1/providers/{provider}/videos/{id}/endscreen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.video2ctx.dev/v1/providers/{provider}/videos/{id}/endscreen"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"provider": "youtube",
"elements": [
{
"type": "video",
"startMs": 1,
"endMs": 1,
"thumbnails": [
{
"url": "<string>",
"width": 1,
"height": 1
}
],
"title": "<string>",
"metadata": "<string>",
"videoId": "<string>",
"playlistId": "<string>",
"channelId": "<string>",
"position": {}
}
]
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}Videos
Get endscreen elements
GET
/
v1
/
providers
/
{provider}
/
videos
/
{id}
/
endscreen
Get endscreen elements
curl --request GET \
--url https://api.video2ctx.dev/v1/providers/{provider}/videos/{id}/endscreen \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.video2ctx.dev/v1/providers/{provider}/videos/{id}/endscreen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.video2ctx.dev/v1/providers/{provider}/videos/{id}/endscreen"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"provider": "youtube",
"elements": [
{
"type": "video",
"startMs": 1,
"endMs": 1,
"thumbnails": [
{
"url": "<string>",
"width": 1,
"height": 1
}
],
"title": "<string>",
"metadata": "<string>",
"videoId": "<string>",
"playlistId": "<string>",
"channelId": "<string>",
"position": {}
}
]
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}Authorizations
bearerApiKeysessionCookiecliSessionapiKeydemoUser
Permanent personal API key created in the dashboard. Example: curl -H "Authorization: Bearer aty_…" https://your-host/v1/projects
Path Parameters
External video provider.
Available options:
youtube Example:
"youtube"
Provider video ID.
Minimum string length:
1Example:
"dQw4w9WgXcQ"